# 光伏发电预测模块接口文档
## 地区最佳倾角
### 端口号
`xxx.xxx.xxx.xxx:9515/angle/`
### 接口调用方式
POST
### 输入
```
{
    "province": "山东省",
    "city": "青岛市"
}
```
### 输出
```
{
    "code": 200,
    "data": 35 (最佳倾角)
}
```
## 未来气象数据
### 端口号
`xxx.xxx.xxx.xxx:9515/angle/`
### 接口调用方式
POST
### 输入
```
{
    "province": "山东省",
    "city": "青岛市",
    "capacity": 200MW, # 装机容量
    "angle": 38, # 用户设置倾角
    "dhi": [100.0, 123.1,..., 210.2] # 未来120小时的辐照
}
```
### 输出
```
{
    "code": 200,
    "data": [7.5, 8.6, ..., 7.2] # 未来120h的每小时发电量
}
```